org.eclipse.ease.lang.python.jython.debugger

## Class JythonCodeTracer

- java.lang.Object
- - org.eclipse.ease.lang.python.jython.debugger.JythonCodeTracer

All Implemented Interfaces:
  ICodeTracer

    public class JythonCodeTracer
    extends java.lang.Object
    implements ICodeTracer

Wrapper class for calling `ICodeTracer` functionality on `PyObject`.

### Constructor Summary

Constructors
Constructor and Description
`JythonCodeTracer(org.python.core.PyObject tracer)` Constructor only stores parameters to member.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `run(Script script, java.lang.String filename)` Runs the given script via the code tracer in Python.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JythonCodeTracer

    public JythonCodeTracer(org.python.core.PyObject tracer)

Constructor only stores parameters to member.

Parameters:
  `tracer` - `ICodeTracer` in Python form.

### Method Detail

#### run

    public java.lang.Object run(Script script,
                                java.lang.String filename)

Description copied from interface: `ICodeTracer`
Runs the given script via the code tracer in Python.

Specified by:
  `run` in interface `ICodeTracer`
Parameters:
  `script` - Script to be run via code tracer.
  `filename` - Filename for script.